[Gretl-devel] gretl on ubuntu 11.04 (known bug)

Sven Schreiber svetosch at gmx.net
Thu May 19 11:18:50 EDT 2011


Am 19.05.2011 17:01, schrieb Riccardo (Jack) Lucchetti:
> On Thu, 19 May 2011, Sven Schreiber wrote:
> 
>> Hi,
>> I just ran into the problem of not being able to use the default gretl
>> version in the current Ubuntu 11.04.
>>
>> I know the problem is fixed in a later gretl version; however, to a
>> normal user it just looks as if it doesn't work, end of story. And given
>> the popularity of Ubuntu, I think this is bad for gretl's reputation and
>> its adoption.
>>
>> So I would advocate one of two solutions:
>>
>> - either the package maintainer (who is that for Ubuntu?) backports
>> the fix
>> - alternatively (or minimally) I think the issue should be mentioned on
>> the gretl frontpage, and workarounds should be explained
>>
>> Or am I missing something?
> 
> I have the feeling that there's little we can on this side of things. A
> bug has been open in the Ubuntu bug database since February, and the
> correct procedure for having this fixed was posted on 30/4 (see
> https://bugs.launchpad.net/ubuntu/+source/gretl/+bug/720089). I would
> guess it's now up to Canonical to include 1.9.5 from Debian sid in their
> updates. I have no idea of what we could do to speed things up.
> 
>

I see; so it's about communicating the workaround/interim solution to
the users. For example, is it confirmed that the debian package really
works on Ubuntu without problems? I mean I will try it out myself, but
with n=1 or n=2 it is not a very strict test. If the debian packages
work, I suggest that the gretl frontpage should have direct links to
those packages and an explanation for Ubuntu 11.04 users.

thanks,
sven


More information about the Gretl-devel mailing list